<div *ngIf="accordion; then withAccordion else withoutAccordion">here is ignored</div>
<ng-template #withAccordion>
  <mat-accordion *ngIf="orderNoteList != null">
    <mat-expansion-panel [expanded]="true" class="mb-3 pb-3">
      <mat-expansion-panel-header class="card-header">
        <mat-panel-title><h6>Order Note</h6></mat-panel-title>
      </mat-expansion-panel-header>
      <dx-data-grid #grid id="grid" [dataSource]="orderNoteList" [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true">
        <!--<dxo-export [enabled]="true" fileName="Events"></dxo-export>-->
        <!--<dxo-selection mode="single"></dxo-selection>-->
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-paging [pageSize]="10"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
        <!--<dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>-->
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>

        <dxi-column dataField="nteTypeDes" caption="Note Type" dataType="string"></dxi-column>
        <dxi-column dataField="nteTxt" caption="Note" dataType="string"></dxi-column>
        <dxi-column dataField="creatByUserFullName" caption="Created By" dataType="string"></dxi-column>
        <dxi-column dataField="creatDt" caption="Created On" dataType="datetime" cellTemplate="dateTimeTemplate"></dxi-column>
        <div *dxTemplate="let cell of 'dateTimeTemplate'">
          <span class="d-block">{{ cell.text | date: 'MM/dd/yyyy' }}</span>
          <span class="d-block">{{ cell.text | date: 'hh:mm a' }}</span>
        </div>
      </dx-data-grid>
    </mat-expansion-panel>
  </mat-accordion>
</ng-template>
<ng-template #withoutAccordion>
  <dx-data-grid #grid id="grid" [dataSource]="orderNoteList" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true">
    <!--<dxo-export [enabled]="true" fileName="Events"></dxo-export>-->
    <!--<dxo-selection mode="single"></dxo-selection>-->
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-paging [pageSize]="10"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxo-column-fixing [enabled]="true"></dxo-column-fixing>

    <dxi-column dataField="nteTypeDes" caption="Note Type" dataType="string"></dxi-column>
    <dxi-column dataField="nteTxt" caption="Note" dataType="string"></dxi-column>
    <dxi-column dataField="creatByUserFullName" caption="Created By" dataType="string"></dxi-column>
    <dxi-column dataField="creatDt" caption="Created On" dataType="datetime"></dxi-column>
  </dx-data-grid>
</ng-template>

